package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcMaterialGiveMapper;
import com.ruoyi.oa.domain.CmcMaterialGive;
import com.ruoyi.oa.service.ICmcMaterialGiveService;

/**
 * cmc耗材发放Service业务层处理
 * 
 * @author cmc
 * @date 2024-07-31
 */
@Service
public class CmcMaterialGiveServiceImpl implements ICmcMaterialGiveService 
{
    @Autowired
    private CmcMaterialGiveMapper cmcMaterialGiveMapper;

    /**
     * 查询cmc耗材发放
     * 
     * @param giveId cmc耗材发放主键
     * @return cmc耗材发放
     */
    @Override
    public CmcMaterialGive selectCmcMaterialGiveByGiveId(Integer giveId)
    {
        return cmcMaterialGiveMapper.selectCmcMaterialGiveByGiveId(giveId);
    }

    /**
     * 查询cmc耗材发放列表
     * 
     * @param cmcMaterialGive cmc耗材发放
     * @return cmc耗材发放
     */
    @Override
    public List<CmcMaterialGive> selectCmcMaterialGiveList(CmcMaterialGive cmcMaterialGive)
    {
        return cmcMaterialGiveMapper.selectCmcMaterialGiveList(cmcMaterialGive);
    }

    /**
     * 新增cmc耗材发放
     * 
     * @param cmcMaterialGive cmc耗材发放
     * @return 结果
     */
    @Override
    public int insertCmcMaterialGive(CmcMaterialGive cmcMaterialGive)
    {
        return cmcMaterialGiveMapper.insertCmcMaterialGive(cmcMaterialGive);
    }

    /**
     * 修改cmc耗材发放
     * 
     * @param cmcMaterialGive cmc耗材发放
     * @return 结果
     */
    @Override
    public int updateCmcMaterialGive(CmcMaterialGive cmcMaterialGive)
    {
        return cmcMaterialGiveMapper.updateCmcMaterialGive(cmcMaterialGive);
    }

    /**
     * 批量删除cmc耗材发放
     * 
     * @param giveIds 需要删除的cmc耗材发放主键
     * @return 结果
     */
    @Override
    public int deleteCmcMaterialGiveByGiveIds(Integer[] giveIds)
    {
        return cmcMaterialGiveMapper.deleteCmcMaterialGiveByGiveIds(giveIds);
    }

    /**
     * 删除cmc耗材发放信息
     * 
     * @param giveId cmc耗材发放主键
     * @return 结果
     */
    @Override
    public int deleteCmcMaterialGiveByGiveId(Integer giveId)
    {
        return cmcMaterialGiveMapper.deleteCmcMaterialGiveByGiveId(giveId);
    }
}
